//Arkanoid Created By Marek Rudolf
#ifndef IMAGES_H
#define IMAGES_H
#pragma once
#include <windows.h>
#include <gl\gl.h>			// Header File For The OpenGL32 Library
#include <gl\glu.h>			// Header File For The GLu32 Library
#include <gl\glaux.h>		// Header File For The Glaux Library

struct rect{
GLfloat left;
GLfloat top;
GLfloat right;
GLfloat bottom;
};

struct col{
bool x;
bool y;
};

//klasa paletki
class bat{
public:
    int x;//pozycja x na planszy
    int y;//pozycja y na planszy
    int width;//szerokoc paletki
    int height;//wysoko paletki
    int maxx;//(ograniczenie)maksymalne przesunicie paletki w prawo
    void draw();//malowanie paletki
    void move(int);//przesuwanie przy uzyciu klawiatury
    void movemouse(int i);//przesuwanie przy uzyciu myszki
    bat();//konstruktor
};

class blocks{
private:
    int **matrix;//tablica dwuwymiarowa
    int x;//wielko tablicy
    int y;//wielko tablicy
public:  
    GLfloat width;//szerokosc kazdego bloczku
    void draw();//malowanie bloczkow
    int sizex(){return y;};//pobieranie rozmiaru tablicy
    int sizey(){return x;};//pobieranie rozmiaru tablicy    
    rect getblockrect(int i,int j);//pobieranie rozmiaru jednego bloczku
    bool blockexistst(int i,int j);//sprawdzanie czy dany bloczek istnieje    
    void blockhit(int i,int j);//uderzenie w bloczek
    blocks();   //kontruktor
    ~blocks();  //destruktor
    void read(int,GLfloat);//wczytanie etapu z pliku
    void save();  //zapisanie etapu do pliku
    bool won();  //sprawdzenie ilosci
//    int generate(int mx, int my,GLfloat boxwidt);    
};

class ball{//pilka
   public:
       GLfloat x;//pozycja x na planszy
       GLfloat y;//pozycja y na planszy
       GLfloat size;//srednica
       GLfloat xspeed;//predkosc w osi x
       GLfloat yspeed;//predkosc w osi y   
       void move();//poruszanie pilka
       int colisiontest(GLfloat x1,GLfloat y1,GLfloat x2,GLfloat y2);//sprawdzanie kolizji
       void draw();//malowanie pilki
       ball(); //konstruktor
};

#endif
